#pragma warning (disable:4786)
#include "ai.hpp"

AIAwareness::AIAwareness (AI *parent)
{
	m_Knowledge = NULL;
	m_SizeKnowledge = 0;
}

AIAwareness::~AIAwareness (void)
{
	if (m_Knowledge)
		delete[] m_Knowledge;
}

CommandEntry *AIAwareness::Think (double value,CommandEntry *lastcom)
{
	return NULL;
}
